<?php 
/*
 * Bubu WP Theme  Breadcrumbs
*/
global $bubu_options;
if(empty($bubu_options['remove-breadcrumbs'])) {

	function bubu_custom_breadcrumbs() {

	  $bubu_showonhome = 0;
	  $bubu_delimiter = '/';
	  $bubu_home = __('Home','bubu');
	  $bubu_showcurrent = 1;
	  $bubu_before = ' ';
	  $bubu_after = ' ';

	  global $post;
	  $bubu_homelink = esc_url(home_url());

	  if (is_home() || is_front_page()) {

	    if ($bubu_showonhome == 1) echo '<ol class="breadcrumb"><li class="active"><a href="' . $bubu_homelink . '">' . $bubu_home . '</a></li></ol>';
	  } else {

	    echo '<ol class="breadcrumb"><li class="active"><a href="' . $bubu_homelink . '">' . $bubu_home . '</a> ' . $bubu_delimiter . ' ';
	    if ( is_category() ) {
	      $bubu_thisCat = get_category(get_query_var('cat'), false);
	      if ($bubu_thisCat->parent != 0) echo get_category_parents($bubu_thisCat->parent, TRUE, ' ' . $bubu_delimiter . ' ');
	      echo $bubu_before; _e('Archive by category' , 'bubu');  echo single_cat_title('', false) . '"' . $bubu_after;

	    } elseif ( is_search() ) {
	      echo $bubu_before; _e('Search results for','bubu'); echo get_search_query() . '"' . $bubu_after;

	    } elseif ( is_day() ) {
	      echo '<a href="' . get_year_link(get_the_time('Y')) . '">' . get_the_time('Y') . '</a> ' . $bubu_delimiter . ' ';
	      echo '<a href="' . get_month_link(get_the_time('Y'),get_the_time('m')) . '">' . get_the_time('F') . '</a> ' . $bubu_delimiter . ' ';
	      echo $bubu_before . get_the_time('d') . $bubu_after;

	    } elseif ( is_month() ) {
	      echo '<a href="' . get_year_link(get_the_time('Y')) . '">' . get_the_time('Y') . '</a> ' . $bubu_delimiter . ' ';
	      echo $bubu_before . get_the_time('F') . $bubu_after;

	    } elseif ( is_year() ) {
	      echo $bubu_before . get_the_time('Y') . $bubu_after;

	    } elseif ( is_single() && !is_attachment() ) {
	      if ( get_post_type() != 'post' ) {
		$bubu_post_type = get_post_type_object(get_post_type());
		$bubu_slug = $bubu_post_type->rewrite;
		echo '<a href="' . $bubu_homelink . '/' . $bubu_slug['slug'] . '/">' . $bubu_post_type->labels->singular_name . '</a>';
		if ($bubu_showcurrent == 1) echo ' ' . $bubu_delimiter . ' ' . $bubu_before . get_the_title() . $bubu_after;
	      } else {
		$bubu_cat = get_the_category(); $bubu_cat = $bubu_cat[0];
		$bubu_cats = get_category_parents($bubu_cat, TRUE, ' ' . $bubu_delimiter . ' ');
		if ($bubu_showcurrent == 0) $bubu_cats = 
		preg_replace("#^(.+)\s$bubu_delimiter\s$#", "$1",$bubu_cats);
		echo $bubu_cats;
		if ($bubu_showcurrent == 1) echo $bubu_before . get_the_title() . $bubu_after;
	      }

	    } elseif ( !is_single() && !is_page() && get_post_type() != 'post' && !is_404() ) {
	      $bubu_post_type = get_post_type_object(get_post_type());
	      echo $bubu_before . $bubu_post_type->labels->singular_name . $bubu_after;

	    } elseif ( is_attachment() ) {
	      $bubu_parent = get_post($post->post_parent);
	      $bubu_cat = get_the_category($bubu_parent->ID); $bubu_cat = $bubu_cat[0];
	      echo get_category_parents($bubu_cat, TRUE, ' ' . $bubu_delimiter . ' ');
	      echo '<a href="' . get_permalink($bubu_parent) . '">' . $bubu_parent->post_title . '</a>';
	      if ($bubu_showcurrent == 1) echo ' ' . $bubu_delimiter . ' ' . $bubu_before . get_the_title() . $bubu_after;

	    } elseif ( is_page() && !$post->post_parent ) {
	      if ($bubu_showcurrent == 1) echo $bubu_before . get_the_title() . $bubu_after;

	    } elseif ( is_page() && $post->post_parent ) {
	      $bubu_parent_id  = $post->post_parent;
	      $bubu_breadcrumbs = array();
	      while ($bubu_parent_id) {
		$bubu_page = get_page($bubu_parent_id);
		$bubu_breadcrumbs[] = '<a href="' . get_permalink($bubu_page->ID) . '">' . get_the_title($bubu_page->ID) . '</a>';
		$bubu_parent_id  = $bubu_page->post_parent;
	      }
	      $bubu_breadcrumbs = array_reverse($bubu_breadcrumbs);
	      for ($bubu_i = 0; $bubu_i < count($bubu_breadcrumbs); $bubu_i++) {
		echo $bubu_breadcrumbs[$bubu_i];
		if ($bubu_i != count($bubu_breadcrumbs)-1) echo ' ' . $bubu_delimiter . ' ';
	      }
	      if ($bubu_showcurrent == 1) echo ' ' . $bubu_delimiter . ' ' . $bubu_before . get_the_title() . $bubu_after;

	    } elseif ( is_tag() ) {
	      echo $bubu_before; _e('Posts tagged','bubu'); echo single_tag_title('', false) . '"' . $bubu_after;

	    } elseif ( is_author() ) {
	       global $author;
	      $bubu_userdata = get_userdata($author);
	      echo $bubu_before; _e('Articles posted by','bubu'); echo $bubu_userdata->display_name . $bubu_after;

	    } elseif ( is_404() ) {
	      echo $bubu_before; _e('Error','bubu'); echo '404' . $bubu_after;
	    }

	    if ( get_query_var('paged') ) {
	      if ( is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author() ) echo ' (';
	      echo __('Page','bubu') . ' ' . get_query_var('paged');
	      if ( is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author() ) echo ')';
	    }

	    echo '</li></ol>';

	  }
	} // end bubu_custom_breadcrumbs()

}
?>
