<?php

/*
 * Enqueue scripts and styles for the front end.
 */

function bubu_scripts() {
    
    global $bubu_options;
    
    wp_enqueue_style('bubu-lato', bubu_font_url(), array(), null);
    wp_enqueue_style('bubu-bootstrap-min-css', get_template_directory_uri() . '/css/bootstrap.min.css', array());
    wp_enqueue_style('style', get_stylesheet_uri(), array('bubu-bootstrap-min-css'));
    wp_enqueue_style('bubu-media-css', get_template_directory_uri() . '/css/media.css', array());
    wp_enqueue_style('bubu-fontaewsome-css', get_template_directory_uri() . '/css/font-awesome.css', array());
    wp_enqueue_script('jquery');
    wp_enqueue_script('bubu-bootstrapjs', get_template_directory_uri() . '/js/bootstrap.min.js', array('jquery'));
    wp_enqueue_script('bubu-default', get_template_directory_uri() . '/js/default.js', array('jquery'));
    
    if (!empty($bubu_options['scroll-top-header'])):
        wp_localize_script( 'bubu-default', 'scroll_top_header', 'yes' );
    else:
        wp_localize_script( 'bubu-default', 'scroll_top_header', '' );
    endif;

    wp_enqueue_script('bubu-owl-carouseljs', get_template_directory_uri() . '/js/owl.carousel.min.js', array('jquery'));
    if (is_singular())
        wp_enqueue_script("comment-reply");
}

add_action('wp_enqueue_scripts', 'bubu_scripts');
?>
